OperationDescription (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.constant

## Annotation Type OperationDescription

-     @Documented
       @Retention(value=RUNTIME)
       @Target(value=FIELD)
      public @interface OperationDescription

  Labels an AUID that is a unique identifier for an operation. The additional metadata provided by this annotation can be used in combination with the identifier to create an operation definition.

  See the description of managing definitions in the package summary for more details of how to use these constants and dynamically extend the range of supported operations.

  See Also:
    `OperationConstant`, `OperationDefinition`

- - ### Required Element Summary

    Required Elements
    Modifier and Type | Required Element and Description
    --- | ---
    `String` | `dataDefinition` Name of the data definition for the kind of data that is produced by the operation.
    `int` | `numberInputs` Specifies the number of input segments to this operation.

  - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element and Description
    --- | ---
    `String[]` | `aliases` A list of alternative names that can be used as aliases for the operation.
    `int` | `bypass` Specifies the array index (1-based) of the input segment which is the primary input.
    `String[]` | `degradeTo` Provides a list of operation names for operations that an application can substitute for the defined operation if it cannot process it.
    `String` | `description` A brief description of the operation.
    `boolean` | `isTimeWarp` Specifies whether the output of the operation differs from the length of the input segment(s).
    `String` | `operationCategory` Name of the operation category type that specifies the kind of operation.
    `String[]` | `parametersDefined` Specifies a list of names of parameters for the operation.

- - ### Element Detail

    - #### dataDefinition

          public abstract String dataDefinition

      Name of the data definition for the kind of data that is produced by the operation.

      See Also:
        `Warehouse.lookup(Class, String)`

  - - #### numberInputs

          public abstract int numberInputs

      Specifies the number of input segments to this operation. A value of -1 indicates that the effect can have any number of input segments.

  - - #### description

          public abstract String description

      A brief description of the operation.

      Default:
        ""

  - - #### aliases

          public abstract String[] aliases

      A list of alternative names that can be used as aliases for the operation.

      Default:
        {}

  - - #### operationCategory

          public abstract String operationCategory

      Name of the operation category type that specifies the kind of operation.

      Default:
        ""

  - - #### isTimeWarp

          public abstract boolean isTimeWarp

      Specifies whether the output of the operation differs from the length of the input segment(s).

      Default:
        false

  - - #### degradeTo

          public abstract String[] degradeTo

      Provides a list of operation names for operations that an application can substitute for the defined operation if it cannot process it.

      Default:
        {}

  - - #### bypass

          public abstract int bypass

      Specifies the array index (1-based) of the input segment which is the primary input. Set to `Integer.MIN_VALUE` to indicate that the bypass segment optional property is not present.

      Default:
        -2147483648

  - - #### parametersDefined

          public abstract String[] parametersDefined

      Specifies a list of names of parameters for the operation.

      Default:
        {}

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.